Is My Apple Device Compatible With The Fretlight System?

Apple Compatibility:
- iOS 9.0+
- iPhone 4S+
- iPad Gen 3rd+
- iPad Mini+
- iPad Air+
- iPod Touch 5th Gen+
- Bluetooth 4.0 LE (Bluetooth Low-Energy, Bluetooth Smart) or newer required
for Fretlight Wireless guitar.

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.
Powered by Zendesk